Subject: Re: [alpine-devel] Change Travis in Alpine Continuous Integration

From: 7heo <[email-masked]>
Date: Wed, 12 Jul 2017 11:44:28 +0200

On Jul 12, 2017 9:28 AM, William Pitcock <[email-masked]> wrote:
>
> Hi, 
>
> On Tue, Jul 11, 2017 at 2:21 PM, Jakub Jirutka <[email-masked]> wrote: 
> > Hi, 
> > 
> > we use Travis CI for testing pull requests (and only for that) because it’s free and well integrated with GitHub. Our build infrastructure uses just a simple shell script for running builds, so it’s currently not usable for this use case. 
> > 
> > We would like to improve this, use some real CI software, but haven’t found anything suitable yet. I know Jenkins CI and it’s one of the last CI software I would recommend… 
>
> It seems like we could use buildbot and this software: 
> https://github.com/barosl/homu to handle the Github side of it. 
>
> William

I tried buildbot along with the other available solutions I could find about 6 months ago and I found it limited and brittle. I'm not sure it is significantly better than a simple LUA script. Maybe we should wait for better solutions to happen; maybe we should roll our own.

7heo'���r��y�i�w�z����칻�&ޖ+-��i�w��{���zZZ���yׯz_�zZe��ljZb��b��h�